#include <bits/stdc++.h>
using namespace std;
/*int st(int n, int k){
    if(k == 1) return n;

    if(k%2 == 0)
        return st(n,k/2)*st(n,k/2);

    return st(n,(k-1)/2)*st(n,(k-1)/2)*n;

}
int komb(int n, int k){
    int res = k;
    k--;
    int a = st(n,k);
    return a*res;


}*/

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, k;
    cin >> n >> k;
    vector<char> s(n);
    vector<int> da(k,0);
    vector<vector<int>> ispred(k,vector<int>(k,0));

    int br = 1;
    int st = 1;
    for(int i = 0; i < n; i++){
        cin >> s[i];
        da[s[i]-'a']++;
        bool moz = true;
        for(int j = 0; j < k;j++){
                if(da[j] < st){

                 moz = false;
                 break;}


        }
        if(moz){
            br++;
            for(int j = 0; j < k;j++){
                da[j] = 0;
                 }
        }
        cout << br << ' ';
    }


    return 0;
}